import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:test_sa/controllers/localization/localization.dart';
import 'package:test_sa/controllers/providers/api/user_provider.dart';
import 'package:test_sa/models/gas_refill/gas_refill_model.dart';
import 'package:test_sa/models/subtitle.dart';
import 'package:test_sa/models/user.dart';
import 'package:test_sa/views/app_style/colors.dart';
import 'package:test_sa/views/app_style/sizing.dart';
import 'package:test_sa/views/widgets/requests/request_status.dart';

class GasRefillItem extends StatelessWidget {
  final int index;
  final GasRefillModel item;
  final Function(GasRefillModel) onPressed;
  const GasRefillItem({Key key, this.item, this.onPressed, this.index}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Subtitle _subtitle = AppLocalization.of(context).subtitle;
    User _user = Provider.of<UserProvider>(context, listen: false).user;
    Color itemColor = index % 2 == 0 ? Theme.of(context).colorScheme.primary : Theme.of(context).colorScheme.onPrimary;
    Color onItemColor = index % 2 != 0 ? Theme.of(context).colorScheme.primary : Theme.of(context).colorScheme.onPrimary;

    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 4),
      child: ElevatedButton(
        style: ElevatedButton.styleFrom(
          padding: EdgeInsets.symmetric(vertical: 8, horizontal: 8),
          backgroundColor: itemColor,
          shape: RoundedRectangleBorder(
            borderRadius: BorderRadius.circular(AppStyle.getBorderRadius(context)),
          ),
        ),
        //padding: EdgeInsets.symmetric(vertical: 8,horizontal: 8),
        onPressed: () {
          onPressed(item);
        },
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Row(
              children: [
                Expanded(
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(
                        item.title ?? "-----",
                        style: Theme.of(context).textTheme.headline6.copyWith(color: onItemColor, fontSize: 16, fontWeight: FontWeight.bold),
                      ),
                      Row(
                        children: [
                          Expanded(
                            child: Text(
                              _subtitle.hospital,
                              style: Theme.of(context).textTheme.subtitle2.copyWith(
                                    color: onItemColor,
                                  ),
                            ),
                          ),
                          if (item.clientName != null)
                            Text(
                              item.clientName,
                              style: Theme.of(context).textTheme.subtitle2.copyWith(
                                    color: onItemColor,
                                  ),
                            ),
                        ],
                      ),
                      Divider(
                        color: onItemColor,
                      ),
                      Row(
                        children: [
                          Expanded(
                            child: Text(
                              _subtitle.status,
                              style: Theme.of(context).textTheme.subtitle2.copyWith(
                                    color: onItemColor,
                                  ),
                            ),
                          ),
                          if (item.status?.id != null) StatusLabel(label: item.status.name, color: AColors.getGasStatusColor(item.status.id)),
                        ],
                      ),
                      //Divider(color: onItemColor,),
                    ],
                  ),
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
